CGAL 6.1.2 - Tetrahedral Remeshing: Sizing Fields

CGAL 6.1.2 - Tetrahedral Remeshing

Loading...
Searching...
No Matches
Classes | Functions
Sizing Fields
Reference Manual

##

## Classes
class | CGAL::Tetrahedral_remeshing_sizing_field< GT >
| Sizing field virtual class, designed for tetrahedral remeshing. More...
class | CGAL::Adaptive_remeshing_sizing_field< Tr >
class | CGAL::Uniform_sizing_field< GT >

## Functions
template<typename Tr , typename NamedParameters = CGAL::parameters::Default_named_parameters>
Adaptive_remeshing_sizing_field< Tr > | create_adaptive_remeshing_sizing_field (const Tr &tr, const NamedParameters &np=parameters::default_values())
| Create an adaptive sizing field for tetrahedral remeshing.

## Function Documentation

## ◆ create_adaptive_remeshing_sizing_field()

template<typename Tr , typename NamedParameters = CGAL::parameters::Default_named_parameters>

Adaptive_remeshing_sizing_field< Tr > create_adaptive_remeshing_sizing_field | ( | const Tr & | tr,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |
| related

Create an adaptive sizing field for tetrahedral remeshing.

This method is a named constructor. It constructs a sizing field of type `Adaptive_remeshing_sizing_field<Tr>`, designed to keep the density unchanged throughout the remeshing process.

Returns
  an `Adaptive_remeshing_sizing_field<Tr>`

Template Parameters

  NamedParameters | a sequence of Named Parameters

Parameters

  tr | the input triangulation
  np | an optional sequence of Named Parameters among the ones listed below. All of them must be the same as the ones given to `CGAL::tetrahedral_isotropic_remeshing()`.

Optional Named Parameters

  a property map containing the constrained-or-not status of each edge of `tr`. Default: a default property map where no edge is constrained |
  a property map containing the constrained-or-not status of each facet of `tr`. Default: a default property map where no facet is constrained |
  a property map containing the selected or - not status for each cell of `tr` for remeshing. Default: a default property map where all cells of the domain are selected |